<template>
    <div :class="$style.chart">
        <Line :data="dataL" :options="options" />
    </div>
</template>

<script>
import {
    Chart as ChartJS,
    CategoryScale,
    LinearScale,
    PointElement,
    LineElement,
    Title,
    Tooltip,
    Legend,
} from 'chart.js'
import { Line } from 'vue-chartjs'
// eslint-disable-next-line
// import * as chartConfig from './chartConfig.js'

ChartJS.register(CategoryScale, LinearScale, PointElement, LineElement, Title, Tooltip, Legend)

export default {
    name: 'ChartComponent',
    components: {
        Line,
    },
    data() {
        return {
            dataL: {
                labels: ['January', 'February', 'March', 'April', 'May', 'June', 'July'],
                datasets: [
                    {
                        label: 'Data One',
                        // backgroundColor: '#f87979',
                        data: [40, 39, 10, 40, 39, 80, 40],
                        tension: 0.3,
                        pointRadius: 0,
                        borderColor: '#c319ee',
                        backgroundColor: '#c319ee',
                    },
                ],
            },
            options: {
                interaction: {
                    intersect: false,
                },
                // responsive: true,
                // maintainAspectRatio: false,
                scales: {
                    y: {
                        ticks: {
                            color: '#b6baca',
                        },
                        grid: {
                            drawTicks: false,
                        },
                        // border: {
                        //     dash: [5, 10],
                        // },
                    },
                    x: {
                        ticks: {
                            color: '#b6baca',
                        },
                        grid: {
                            display: false,
                        },
                        border: {
                            display: false,
                        },
                    },
                },
            },
        }
    },
}
</script>

<style module>
.chart {
    height: 300px;
}
</style>
